View Issue Details

IDProjectCategoryView StatusLast Update
0003266GNUnettransport servicepublic2014-04-08 16:42
ReporterLRNAssigned ToMatthias Wachs 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.1Fixed in Version0.10.1 
Summary0003266: crash in test_transport_api_monitoring
Descriptionsubj, r31866
Steps To Reproducerun test_transport_api_monitoring
Additional Information
Reading symbols from F:\src\gnunet-git-svn\src\transport\.libs\test_transport_api_monitoring.exe...done.
Continuing.

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 9384.0x1f98]
0x69fc6dd2 in GNUNET_TRANSPORT_offer_hello (handle=0x2230850, hello=0xdf0adba, cont=0x0, cls=0x0) at transport_api.c:1347
1347      GNUNET_break (ntohs (hello->type) == GNUNET_MESSAGE_TYPE_HELLO);
(gdb) bt
#0  0x69fc6dd2 in GNUNET_TRANSPORT_offer_hello (handle=0x2230850, hello=0xdf0adba, cont=0x0, cls=0x0) at transport_api.c:1347
#1  0x009623af in try_connect (cls=0x2261c78, tc=0x28fc30) at transport-testing.c:205
#2  0x62b7f941 in run_ready (rs=0x222bf90, ws=0x222cfa8) at scheduler.c:595
#3  0x62b801bd in GNUNET_SCHEDULER_run (task=0x62b7a948 <program_main>, task_cls=0x28fdc8) at scheduler.c:817
#4  0x62b7b429 in GNUNET_PROGRAM_run2 (argc=3, argv=0x4064b4 <argv.104706>, binaryName=0x221dad0 "test_transport_api_monitoring", binaryHelp=0x4063de <_Jv_RegisterClasses+4219870> "nohelp", options=0x407084 <options.104707>, task=0x402f04 <run>,
    task_cls=0x40702c <ok>, run_without_scheduler=0) at program.c:302
#5  0x62b7b54d in GNUNET_PROGRAM_run (argc=3, argv=0x4064b4 <argv.104706>, binaryName=0x221dad0 "test_transport_api_monitoring", binaryHelp=0x4063de <_Jv_RegisterClasses+4219870> "nohelp", options=0x407084 <options.104707>, task=0x402f04 <run>,
    task_cls=0x40702c <ok>) at program.c:341
#6  0x004031c4 in check () at test_transport_api_monitoring.c:454
#7  0x00403291 in main (argc=1, argv=0x221a5a8) at test_transport_api_monitoring.c:480
(gdb) up
#1  0x009623af in try_connect (cls=0x2261c78, tc=0x28fc30) at transport-testing.c:205
205       GNUNET_TRANSPORT_offer_hello (cc->th_p1,
(gdb) l
200                        "Asking peer %u (`%s') to connect peer %u (`%s'), providing HELLO with %u bytes\n",
201                        p1->no, GNUNET_i2s (&p1->id), p2->no, p2_s,
202                        GNUNET_HELLO_size (cc->p2->hello));
203       GNUNET_free (p2_s);
204
205       GNUNET_TRANSPORT_offer_hello (cc->th_p1,
206                                     (const struct GNUNET_MessageHeader *) cc->
207                                     p2->hello, NULL, NULL);
208       GNUNET_TRANSPORT_try_connect (cc->th_p1, &p2->id, NULL, NULL); /*FIXME TRY_CONNECT change */
209
(gdb) p/x *cc->p2
$1 = {next = 0x226a790, prev = 0x225cb88, tth = 0xdf0adba, cfg = 0xdf0adba, th = 0xdf0adba, ghh = 0xdf0adba, peer = 0xdf0adba, id = {public_key = {q_y = {0xba, 0xad, 0xf0, 0xd, 0xba, 0xad, 0xf0, 0xd, 0xba, 0xad, 0xf0, 0xd, 0xba, 0xad, 0xf0, 0xd,
        0xba, 0xad, 0xf0, 0xd, 0xba, 0xad, 0xf0, 0xd, 0xba, 0xad, 0xf0, 0xd, 0xba, 0xad, 0xf0, 0xd}}}, arm_proc = 0xdf0adba, rec = 0xdf0adba, nc = 0xdf0adba, nd = 0xdf0adba, start_cb = 0xdf0adba, hello = 0xdf0adba, cb_cls = 0xdf0adba, no = 0xdf0adba}
(gdb)

TagsNo tags attached.

Activities

Matthias Wachs

2014-01-15 13:26

manager   ~0007995

Fixed in rev 31910

Issue History

Date Modified Username Field Change
2014-01-09 22:59 LRN New Issue
2014-01-09 22:59 LRN Status new => assigned
2014-01-09 22:59 LRN Assigned To => Matthias Wachs
2014-01-15 13:26 Matthias Wachs Note Added: 0007995
2014-01-15 13:27 Matthias Wachs Status assigned => resolved
2014-01-15 13:27 Matthias Wachs Resolution open => fixed
2014-01-18 15:52 Christian Grothoff Product Version => SVN HEAD
2014-01-18 15:52 Christian Grothoff Fixed in Version => 0.10.1
2014-01-18 15:52 Christian Grothoff Target Version => 0.10.1
2014-04-08 16:42 Christian Grothoff Status resolved => closed